=== debian/changelog ===
galera-3 (25.3.10-1ubuntu1) wily; urgency=medium

  * Build with -Wno-error=pedantic.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 21:49:36 +0200

galera-3 (25.3.10-1) unstable; urgency=low

  * Initial upload (Closes: #562666)

 -- Otto Kekäläinen <otto@seravo.fi>  Fri, 01 May 2015 20:15:51 +0300
