=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# Parallel build support as adviced
# at https://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules-options
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	SCONS_ARGS += -j $(NUMJOBS)
	# Don't use MAKEFLAGS as it has strange 'w' and '--jobserver-fds=3,4' by default
endif

# Add support for verbose builds
ifneq (,$(filter verbose,$(DEB_BUILD_OPTIONS)))
	SCONS_ARGS += VERBOSE=1
endif

# Run tests by default
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	SCONS_ARGS += tests=1
endif


override_dh_auto_build:
	@echo $(SCONS_ARGS)
	scons $(SCONS_ARGS)

# Start earlier than MySQL which has value 19
override_dh_installinit-arch:
	dh_installinit --name=garb -- defaults 18 22

override_dh_strip:
	dh_strip -pgalera-3 --dbg-package=galera-3-dbg
	dh_strip -pgalera-arbitrator-3 --dbg-package=galera-arbitrator-3-dbg

%:
	dh $@

.PHONY: override_dh_strip
