## galera-3 25.3.12

=== debian/changelog ===
galera-3 (25.3.12-3) unstable; urgency=low

  * Update patches with proper DEP-3 compliant headers
  * Add patch to fix build error after SSLv3 deprication (Closes: #804336)

 -- Otto Kekäläinen <otto@seravo.fi>  Fri, 13 Nov 2015 15:41:29 +0200

galera-3 (25.3.12-2) unstable; urgency=low

  * Backport upstream commit as patch to fix multiple build problems
    (Closes: #799150)
  * Backport upstream commit as patch to fix x32 build problems

 -- Otto Kekäläinen <otto@seravo.fi>  Sun, 20 Sep 2015 23:27:16 +0300

galera-3 (25.3.12-1) unstable; urgency=low

  * Import new upstream release
    - Fixes GCC 5 building and PRETTY_FUNCTION error (Closes: #797238)
    - Fixes for pthread build issues on different platforms
  * Add lintian override as garbd is intentionally not started upon installation
  * Print in build log env info to help debug builds on different platforms
  * Update gdb.conf to have tags signed by default
  * Print config.log contents in build log for easier debugging of Debian builds
  * Print config.log if build fails

 -- Otto Kekäläinen <otto@seravo.fi>  Sun, 06 Sep 2015 20:45:43 +0300
