=== debian/control ===
--- 
+++ 
@@ -25,13 +25,13 @@
            percona-xtradb-cluster-galera-2.x,
            percona-xtradb-cluster-galera-3.x,
            percona-xtradb-cluster-garbd-2.x,
-           percona-xtradb-cluster-garbd-3.x,
-           galera
-Provides: galera-3,
-          wsrep,
+           percona-xtradb-cluster-garbd-3.x
+Provides: wsrep,
           galera,
           galera3,
           percona-xtradb-cluster-galera-25
+Breaks: galera
+Replaces: galera
 Description: Replication framework for transactional applications
  Galera is a fast synchronous multimaster wsrep provider (replication engine)
  for transactional databases and similar applications. For more information
@@ -53,7 +53,7 @@
 Conflicts: garbd-2, garbd2, percona-xtradb-cluster-garbd-2.x
 Breaks: percona-xtradb-cluster-galera-2.x
 Replaces: percona-xtradb-cluster-galera-2.x
-Depends: netcat-openbsd, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Galera arbitrator daemon
  Galera is a fast synchronous multimaster wsrep provider (replication engine)
  for transactional databases and similar applications. For more information
