=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
                libboost-dev (>= 1.41),
                libboost-program-options-dev (>= 1.41),
                libssl-dev,
-               scons (>= 2)
+               scons (>= 2),
+               libasio-dev
 Homepage: http://www.galeracluster.com/
 Vcs-Git: git://anonscm.debian.org/pkg-mysql/galera-3.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mysql/galera-3.git
