=== debian/changelog ===
galera-3 (25.3.14-1) unstable; urgency=low

  * New upstream release
  * Ran wrap-and-sort

 -- Otto Kekäläinen <otto@seravo.fi>  Sun, 07 Feb 2016 22:09:15 +0200
