=== debian/watch ===
version=3
http://releases.galeracluster.com/source/galera-3-(.+).tar.gz
