## galera-3 25.3.16

=== SConstruct ===
--- 
+++ 
@@ -113,7 +113,7 @@
             link_arch = ' -Wl,-melf_x86_64'
     link_arch = compile_arch + link_arch
 elif machine == 's390x':
-    compile_arch = ' -mzarch -march=z196 -mtune=zEC12'
+    compile_arch = ' -mzarch'
     if bits == 32:
         compile_arch += ' -m32'
 
@@ -124,7 +124,7 @@
 strict_build_flags = int(ARGUMENTS.get('strict_build_flags', 1))
 
 
-GALERA_VER = ARGUMENTS.get('version', '3.14')
+GALERA_VER = ARGUMENTS.get('version', '3.16')
 GALERA_REV = ARGUMENTS.get('revno', 'XXXX')
 
 # Attempt to read from file if not given
@@ -382,3 +382,4 @@
 
     # Required boost headers/libraries
     #
+    if boost_pool == 1:
