=== debian/changelog ===
galera-3 (25.3.16-1) unstable; urgency=low

  * New upstream release

 -- Otto Kekäläinen <otto@debian.org>  Mon, 30 May 2016 23:28:41 +0300

galera-3 (25.3.15-1) unstable; urgency=low

  * New upstream release
    - Remove all obsolete patches

 -- Otto Kekäläinen <otto@debian.org>  Wed, 16 Mar 2016 20:37:10 +0200

galera-3 (25.3.14-2~exp1) experimental; urgency=low

  * Update standards version, vcs-link to use https and maintainer e-mail
  * Add patch to fix build regression on s390x

 -- Otto Kekäläinen <otto@debian.org>  Sun, 06 Mar 2016 00:09:49 +0200
