=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: galera-3
 Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
-Uploaders: Otto Kekäläinen <otto@seravo.fi>
+Uploaders: Otto Kekäläinen <otto@debian.org>
 Section: database
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: check,
                debhelper (>= 9),
                libasio-dev,
@@ -13,7 +13,7 @@
                scons (>= 2)
 Homepage: http://www.galeracluster.com/
 Vcs-Git: git://anonscm.debian.org/pkg-mysql/galera-3.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mysql/galera-3.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-mysql/galera-3.git
 
 Package: galera-3
 Architecture: any
