## galera-3 25.3.19

=== SConstruct ===
--- 
+++ 
@@ -124,7 +124,7 @@
 strict_build_flags = int(ARGUMENTS.get('strict_build_flags', 1))
 
 
-GALERA_VER = ARGUMENTS.get('version', '3.16')
+GALERA_VER = ARGUMENTS.get('version', '3.19')
 GALERA_REV = ARGUMENTS.get('revno', 'XXXX')
 
 # Attempt to read from file if not given
