=== debian/changelog ===
galera-3 (25.3.19-2ubuntu4) zesty; urgency=medium

  * Yet another round of fixes for armhf.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Feb 2017 23:18:20 -0800

galera-3 (25.3.19-2ubuntu3) zesty; urgency=medium

  * debian/patches/fix-unaligned-checksum.patch: one more round of fixes
    for armhf.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Feb 2017 18:53:30 -0800

galera-3 (25.3.19-2ubuntu2) zesty; urgency=medium

  * debian/patches/fix-unaligned-checksum.patch: fix to be portable to
    big-endian.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Feb 2017 17:06:57 -0800

galera-3 (25.3.19-2ubuntu1) zesty; urgency=medium

  * debian/patches/fix-unaligned-checksum.patch: avoid unaligned
    dereferencing of a byte array.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 21 Feb 2017 00:35:16 +0000

galera-3 (25.3.19-2) unstable; urgency=low

  * Backport upstream fix for OpenSSL SSL_R_SHORT_READ

 -- Otto Kekäläinen <otto@debian.org>  Fri, 11 Nov 2016 21:38:04 +0200

galera-3 (25.3.19-1) unstable; urgency=low

  * New upstream release 25.3.19
  * Make garb depend on lsb-base as uses /lib/lsb/init-functions

 -- Otto Kekäläinen <otto@debian.org>  Thu, 10 Nov 2016 23:02:48 +0200

galera-3 (25.3.17-1) unstable; urgency=low

  * New upstream release
    - Fixes a GCC6/C++11 compatibility issue (Closes: #812052)

 -- Otto Kekäläinen <otto@debian.org>  Mon, 15 Aug 2016 21:04:56 +0300
