## galera-3 25.3.20

=== SConstruct ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###################################################################
 #
-# Copyright (C) 2010-2015 Codership Oy <info@codership.com>
+# Copyright (C) 2010-2016 Codership Oy <info@codership.com>
 #
 # SCons build script to build galera libraries
 #
@@ -13,6 +13,7 @@
 # Set CXXFLAGS to supply C++ compiler options
 # Set LDFLAGS  to *override* linking flags
 # Set LIBPATH  to add non-standard linker paths
+# Set RPATH    to add rpaths
 #
 # Script structure:
 # - Help message
@@ -33,7 +34,7 @@
 bits = ARGUMENTS.get('bits', platform.architecture()[0])
 print 'Host: ' + sysname + ' ' + machine + ' ' + bits
 
-x86 = any(arch in machine for arch in [ 'x86', 'amd64', 'i686', 'i386' ])
+x86 = any(arch in machine for arch in [ 'x86', 'amd64', 'i686', 'i386', 'i86pc' ])
 
 if bits == '32bit':
     bits = 32
@@ -52,6 +53,7 @@
     debug=n             debug build with optimization level n
     build_dir=dir       build directory, default: '.'
     boost=[0|1]         disable or enable boost libraries
+    system_asio=[0|1]   use system asio library, if available
     boost_pool=[0|1]    use or not use boost pool allocator
     revno=XXXX          source code revision number
     bpostatic=path      a path to static libboost_program_options.a
@@ -119,12 +121,14 @@
 
 boost      = int(ARGUMENTS.get('boost', 1))
 boost_pool = int(ARGUMENTS.get('boost_pool', 0))
+system_asio= int(ARGUMENTS.get('system_asio', 1))
 ssl        = int(ARGUMENTS.get('ssl', 1))
 tests      = int(ARGUMENTS.get('tests', 1))
+deterministic_tests = int(ARGUMENTS.get('deterministic_tests', 0))
 strict_build_flags = int(ARGUMENTS.get('strict_build_flags', 1))
 
 
-GALERA_VER = ARGUMENTS.get('version', '3.19')
+GALERA_VER = ARGUMENTS.get('version', '3.20')
 GALERA_REV = ARGUMENTS.get('revno', 'XXXX')
 
 # Attempt to read from file if not given
@@ -172,6 +176,7 @@
 env.Replace(CXXFLAGS  = os.getenv('CXXFLAGS', ''))
 env.Replace(LINKFLAGS = os.getenv('LDFLAGS',  link_arch))
 env.Replace(LIBPATH   = [os.getenv('LIBPATH', '')])
+env.Replace(RPATH     = [os.getenv('RPATH',   '')])
 
 # Set -pthread flag explicitly to make sure that pthreads are
 # enabled on all platforms.
@@ -209,24 +214,24 @@
 
 # Common C/CXX flags
 # These should be kept minimal as they are appended after C/CXX specific flags
-env.Append(CCFLAGS = ' -Wall -Wextra -Wno-unused-parameter')
+env.Append(CCFLAGS = ' -fPIC -Wall -Wextra -Wno-unused-parameter')
 
 # C-specific flags
-env.Append(CFLAGS = ' -std=c99 -fno-strict-aliasing -pipe')
+env.Prepend(CFLAGS = '-std=c99 -fno-strict-aliasing -pipe ')
 
 # CXX-specific flags
 # Note: not all 3rd-party libs like '-Wold-style-cast -Weffc++'
 #       adding those after checks
-env.Append(CXXFLAGS = ' -Wno-long-long -Wno-deprecated -ansi')
+env.Prepend(CXXFLAGS = '-Wno-long-long -Wno-deprecated -ansi ')
 if sysname != 'sunos':
-    env.Append(CXXFLAGS = ' -pipe')
+    env.Prepend(CXXFLAGS = '-pipe ')
 
 
 # Linker flags
 # TODO: enable ' -Wl,--warn-common -Wl,--fatal-warnings' after warnings from
 # static linking have beed addressed
 #
-#env.Append(LINKFLAGS = ' -Wl,--warn-common -Wl,--fatal-warnings')
+#env.Prepend(LINKFLAGS = '-Wl,--warn-common -Wl,--fatal-warnings ')
 
 #
 # Check required headers and libraries (autoconf functionality)
@@ -374,12 +379,3 @@
         else:
             if not conf.CheckLibWithHeader(libs=[libName],
                                            header=header,
-                                           language='CXX',
-                                           autoadd=autoadd):
-                print 'Error: library %s does not exist' % libName
-                Exit (1)
-            return [libName]
-
-    # Required boost headers/libraries
-    #
-    if boost_pool == 1:
