=== debian/changelog ===
galera-3 (25.3.20-1) unstable; urgency=low

  * Update Vcs-* URLs to use secure connections
  * New upstream release 25.3.20
  * Include patch to avoid unaligned access, which fixes the regression
    in the armhf build (Closes: #855657)

 -- Otto Kekäläinen <otto@debian.org>  Thu, 09 Mar 2017 18:41:42 +0200
