=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: galera-3
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
+Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
 Uploaders: Otto Kekäläinen <otto@debian.org>
 Section: database
 Priority: optional
@@ -13,8 +12,8 @@
                libssl-dev,
                scons (>= 2)
 Homepage: http://www.galeracluster.com/
-Vcs-Git: git://anonscm.debian.org/pkg-mysql/galera-3.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-mysql/galera-3.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-mysql/galera-3.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-mysql/galera-3.git
 
 Package: galera-3
 Architecture: any
