=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # Parallel build support as adviced
 # at https://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules-options
@@ -17,17 +20,25 @@
 
 # Run tests by default
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	SCONS_ARGS += tests=1
+	SCONS_ARGS += tests=1 deterministic_tests=1
 endif
 
 
 override_dh_auto_build:
+	# Print build env info to help debug builds on different platforms
+	dpkg-architecture
 	@echo $(SCONS_ARGS)
-	scons $(SCONS_ARGS)
+	scons $(SCONS_ARGS) || touch FAIL # Print config.log if build fails
+	@echo '*****************************************'
+	@echo '**  config.log contents for debugging  **'
+	@echo '*****************************************'
+	@cat config.log
+	@echo '*****************************************'
+	if [ -f FAIL ]; then exit 1; fi
 
 # Start earlier than MySQL which has value 19
 override_dh_installinit-arch:
-	dh_installinit --name=garb -- defaults 18 22
+	dh_installinit -n --name=garb -- defaults 18 22
 
 override_dh_strip:
 	dh_strip -pgalera-3 --dbg-package=galera-3-dbg
