## galera-3 25.3.22

=== SConstruct ===
--- 
+++ 
@@ -28,6 +28,7 @@
 import os
 import platform
 import string
+import subprocess
 
 sysname = os.uname()[0].lower()
 machine = platform.machine()
@@ -125,10 +126,10 @@
 ssl        = int(ARGUMENTS.get('ssl', 1))
 tests      = int(ARGUMENTS.get('tests', 1))
 deterministic_tests = int(ARGUMENTS.get('deterministic_tests', 0))
-strict_build_flags = int(ARGUMENTS.get('strict_build_flags', 1))
-
-
-GALERA_VER = ARGUMENTS.get('version', '3.20')
+strict_build_flags = int(ARGUMENTS.get('strict_build_flags', 0))
+
+
+GALERA_VER = ARGUMENTS.get('version', '3.22')
 GALERA_REV = ARGUMENTS.get('revno', 'XXXX')
 
 # Attempt to read from file if not given
@@ -169,6 +170,28 @@
 if link != 'default':
     env.Replace(LINK = link)
 
+# Get compiler name/version, CXX may be set to "c++" which may be clang or gcc
+try:
+    cc_version = subprocess.check_output(
+        env['CC'].split() + ['--version'],
+        stderr=subprocess.STDOUT).splitlines()[0]
+except:
+    # in case "$CC --version" returns an error, e.g. "unknown option"
+    cc_version = 'unknown'
+
+try:
+    cxx_version = subprocess.check_output(
+        env['CXX'].split() + ['--version'],
+        stderr=subprocess.STDOUT).splitlines()[0]
+except:
+    # in case "$CXX --version" returns an error, e.g. "unknown option"
+    cxx_version = 'unknown'
+
+print 'Using C compiler executable: ' + env['CC']
+print 'C compiler version is: ' + cc_version
+print 'Using C++ compiler executable: ' + env['CXX']
+print 'C++ compiler version is: ' + cxx_version
+
 # Initialize CPPFLAGS and LIBPATH from environment to get user preferences
 env.Replace(CPPFLAGS  = os.getenv('CPPFLAGS', ''))
 env.Replace(CCFLAGS   = os.getenv('CCFLAGS',  opt_flags + compile_arch))
@@ -182,10 +205,10 @@
 # enabled on all platforms.
 env.Append(CCFLAGS = ' -pthread')
 
-# Freebsd ports are installed under /usr/local
+# FreeBSD ports are usually installed under /usr/local
 if sysname == 'freebsd' or sysname == 'sunos':
-    env.Append(LIBPATH  = ['/usr/local/lib'])
-    env.Append(CPPFLAGS = ' -I/usr/local/include ')
+    env.Append(LIBPATH = ['/usr/local/lib'])
+    env.Append(CPPPATH = ['/usr/local/include'])
 if sysname == 'sunos':
    env.Replace(SHLINKFLAGS = '-shared ')
 
@@ -360,22 +383,3 @@
     def check_boost_library(libBaseName, header, configuredLibPath, autoadd = 1):
         libName = libBaseName + boost_library_suffix
         if configuredLibPath != '' and not os.path.isfile(configuredLibPath):
-            print "Error: file '%s' does not exist" % configuredLibPath
-            Exit(1)
-        if configuredLibPath == '':
-           for libpath in boost_libpaths:
-               libname = libpath + '/lib%s.a' % libName
-               if os.path.isfile(libname):
-                   configuredLibPath = libname
-                   break
-        if configuredLibPath != '':
-            if not conf.CheckCXXHeader(header):
-                print "Error: header '%s' does not exist" % header
-                Exit (1)
-            if autoadd:
-                conf.env.Append(LIBS=File(configuredLibPath))
-            else:
-                return File(configuredLibPath)
-        else:
-            if not conf.CheckLibWithHeader(libs=[libName],
-                                           header=header,
