=== debian/changelog ===
galera-3 (25.3.22-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:21:30 +0000

galera-3 (25.3.22-1) unstable; urgency=low

  * Update download URL and add check authenticity with PGP signature
  * New upstream version 25.3.22
  * Update Debian standards version to to 4.1.1

 -- Otto Kekäläinen <otto@debian.org>  Tue, 21 Nov 2017 11:57:30 +0100
