=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: galera-3
-Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
 Uploaders: Otto Kekäläinen <otto@debian.org>
 Section: database
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Build-Depends: check,
                debhelper (>= 9),
                libasio-dev,
