=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # at https://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules-options
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	SCONS_ARGS += -j $(NUMJOBS)
+	SCONS_ARGS += -j$(NUMJOBS)
 	# Don't use MAKEFLAGS as it has strange 'w' and '--jobserver-fds=3,4' by default
 endif
 
@@ -21,6 +21,11 @@
 # Run tests by default
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	SCONS_ARGS += tests=1 deterministic_tests=1
+endif
+
+# Use strict compilation flags (ie -Werror) if requested
+ifneq (,$(filter strict_build_flags,$(DEB_BUILD_OPTIONS)))
+	SCONS_ARGS += strict_build_flags=1
 endif
